<template lang="pug">
title-bar {{ data && data.car ? data.car.name : "..." }}
b-container( v-if='data' )
	.tile.is-ancestor
		.tile.is-parent
			b-card.tile.is-child: car-form( :defaults='data' edit @submit='editCar' )
</template>

<script setup>
import CarForm from "@/components/car/Form.vue"

import { computed, onMounted, ref, watch } from "vue"

import { useRoute } from "vue-router"
import { useCarStore } from "@/stores/car"
import { useToast } from "vue-toastification"
import { useI18n } from "vue-i18n"

const { t } = useI18n()
const $route = useRoute()
const cs = useCarStore()
const toast = useToast()

const data = ref(null)

const id = computed(() => $route.params.id)

const fetch = async () => {
	if (id.value) {
		data.value = await cs.getCar(id.value)
		// brand.value = data.brand
		// meta.value = data.meta
	}
}

const editCar = async body => {
	try {
		await cs.editCar(id.value, body)
		toast.success(t("default.changes_saved"))
	} catch(err) {console.error(err)}
}

watch(() => id.value, fetch)
onMounted(fetch)
</script>

<style lang="scss" scoped></style>